/*
 * power.h
 *
 *  Created on: Apr 19, 2021
 *      Author: Thom Maughan
 */

#ifndef MPHOX_BOARD_UTIL_H_
#define MPHOX_BOARD_UTIL_H_



void led_init(void);
void led_red(int state);
void led_red_toggle(void);
void led_red_on(void);
void led_red_off(void);
void led_green(int state);
void led_green_toggle(void);
void led_green_on(void);
void led_green_off(void);

void profile_on(int target);
void profile_off(int target);
void profile2_on(int target);
void profile2_off(int target);
void profile2_toggle(int target);

void pwr_env_mon_on(void);
void pwr_env_mon_off(void);      // Turn off Load switch for ENV monitoring
void pwr_vbat_mon_on(void);    // Turn on VBat monitoring
void pwr_vbat_mon_off(void);   // Turn off VBat monitoring
void pwr_iso_on(void);         // Iso-power Off
void pwr_iso_off(void);        // Iso-power Off

void pump_on(void);
void pump_off(void);
void pressure_on(void);
void pressure_off(void);

void console_on(void);
void console_off(void);

#endif /* POWER_H_ */
